if not charSelectExists then return end

local E_MODEL_BOSHI = smlua_model_util_get_id("boshi_geo")

local TEX_BOSHI = get_texture_info("boshi-icon")

VOICETABLE_BOSHI = {
    [CHAR_SOUND_ATTACKED] = "boshi_attacked.ogg",
    [CHAR_SOUND_COUGHING1] = "boshi_coughing1.ogg", -- missing all three
    [CHAR_SOUND_COUGHING2] = "boshi_coughing2.ogg", -- missing all three
    [CHAR_SOUND_COUGHING3] = "boshi_coughing3.ogg", -- missing all three
    [CHAR_SOUND_DOH] = "boshi_doh.ogg",
    [CHAR_SOUND_DROWNING] = "boshi_drowning.ogg",
    [CHAR_SOUND_DYING] = "boshi_dying.ogg",
    [CHAR_SOUND_EEUH] = "boshi_euuh.ogg",
    [CHAR_SOUND_GROUND_POUND_WAH] = "boshi_ground_pound_wah.ogg",
    [CHAR_SOUND_HAHA] = "boshi_haha.ogg",
    [CHAR_SOUND_HAHA_2] = "boshi_haha2.ogg",
    [CHAR_SOUND_HERE_WE_GO] = "boshi_herewego.ogg",
    [CHAR_SOUND_HOOHOO] = "boshi_hoohoo.ogg",
    [CHAR_SOUND_HRMM] = "boshi_hrmm.ogg",
    [CHAR_SOUND_IMA_TIRED] = "boshi_imatired.ogg",
    [CHAR_SOUND_MAMA_MIA] = "boshi_mamamia.ogg",
    [CHAR_SOUND_LETS_A_GO] = "boshi_letsago.ogg",
    [CHAR_SOUND_ON_FIRE] = "boshi_on_fire.ogg",
    [CHAR_SOUND_OOOF] = "boshi_ooof.ogg",
    [CHAR_SOUND_OOOF2] = "boshi_ooof2.ogg",
    [CHAR_SOUND_PANTING] = "boshi_panting.ogg",
    [CHAR_SOUND_PANTING_COLD] = "boshi_panting_cold.ogg",
    [CHAR_SOUND_PUNCH_HOO] = "boshi_punch_hoo.ogg",
    [CHAR_SOUND_PUNCH_WAH] = "boshi_punch_wah.ogg",
    [CHAR_SOUND_PUNCH_YAH] = "boshi_punch_yah.ogg",
    [CHAR_SOUND_SO_LONGA_BOWSER] = "boshi_solonga_bowser.ogg",
    [CHAR_SOUND_SNORING1] = "boshi_snoring1.ogg",
    [CHAR_SOUND_SNORING2] = "boshi_snoring2.ogg",
    [CHAR_SOUND_SNORING3] = {"boshi_snoring2.ogg", "boshi_snoring1.ogg", "boshi_snoring3.ogg"},
    [CHAR_SOUND_TWIRL_BOUNCE] = "boshi_twirl_bounce.ogg",
    [CHAR_SOUND_UH] = "boshi_uh.ogg",
    [CHAR_SOUND_UH2] = "boshi_uh2.ogg",
    [CHAR_SOUND_UH2_2] = "boshi_uh2_2.ogg",
    [CHAR_SOUND_WAAAOOOW] = "boshi_waaaooow.ogg",
    [CHAR_SOUND_WAH2] = "boshi_wah.ogg",
    [CHAR_SOUND_WHOA] = "boshi_whoa.ogg",
    [CHAR_SOUND_YAHOO] = "boshi_yahoo.ogg",
    [CHAR_SOUND_YAWNING] = "boshi_yawning.ogg",
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = { "boshi_yahoo.ogg", "boshi_yahoo1.ogg", "boshi_yahoo2.ogg", "boshi_yahoo3.ogg", "boshi_yahoo4.ogg", "boshi_yahoo5.ogg" },
    [CHAR_SOUND_YAH_WAH_HOO] = { "boshi_yah_wah_hoo1.ogg", "boshi_yah_wah_hoo2.ogg", "boshi_yah_wah_hoo3.ogg"},
    [CHAR_SOUND_HELLO] = "boshi_hello.ogg"
}

local PALETTE_BOSHI = {
    [PANTS]  = { r = 0xFF, g = 0x00, b = 0xFF },
    [SHIRT]  = { r = 0x00, g = 0x66, b = 0xFF },
    [GLOVES] = { r = 0xFF, g = 0xFF, b = 0xFF },
    [SHOES]  = { r = 0x89, g = 0x00, b = 0x0F },
    [HAIR]   = { r = 0xFF, g = 0x66, b = 0x00 },
    [SKIN]   = { r = 0xFF, g = 0xDE, b = 0x39 },
    [CAP]    = { r = 0x00, g = 0x66, b = 0xFF },
    [EMBLEM] = { r = 0xFF, g = 0x00, b = 0x00 }
}

_G.CT_BOSHI = _G.charSelect.character_add("Boshi", {"What're YOU lookin' at? If you wanna", "challenge me, you have to bring cookies!", "Boshi is a lone Blue Yoshi and the rival of Yoshi.", "Like many other yoshis, Boshi can speak", "only the Yoshi language, having a", "deeper voice than most others."}, "BlueKazoo, Brob2nd & ER1CK / VA: AngelicMiracles 'Yuyake'", { r = 0, g = 102, b = 255 }, E_MODEL_BOSHI, CT_MARIO, TEX_BOSHI)
charSelect.character_add_voice(E_MODEL_BOSHI, VOICETABLE_BOSHI)
charSelect.character_add_palette_preset(E_MODEL_BOSHI, PALETTE_BOSHI)
